Bug 1301664 - [RFE] FreeIPA-to-FreeIPA migration
[RFE] FreeIPA-to-FreeIPA migration
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: IPA Maintainers
Namita Soman
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 10:57 EST by Martin Kosek
Modified: 2018-02-07 23:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kosek 2016-01-25 10:57:38 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/3656

Provide a tool to migrate from FreeIPA to FreeIPA.

Currently FreeIPA can migrate users and groups from a generic LDAP server, but if you already have an IPA deployment there is currently no mechanism to migrate FreeIPA-specific data such as SUDO rules, HBAC, automount, hosts, services, etc (these last two may not be possible as re-enrollment of the client is required).
Comment 1 deco 2016-02-15 13:42:41 EST
In Fedora 18: "Fedora does not provide a simple rename command to facilitate the renaming of a FreeIPA host. Renaming a host in a FreeIPA domain involves deleting the entry in FreeIPA, uninstalling the client software, changing the hostname, and re-enrolling using the new name. Additionally, part of renaming hosts requires regenerating service principals."

So it would be nice if RedHat IDM team could create a feature for changing domain or rename IPA domain. With such feature, users would avoid the hassle of doing this: https://docs.fedoraproject.org/en-US/Fedora/18/html/FreeIPA_Guide/renaming-machines.html
Comment 2 Petr Vobornik 2016-02-15 16:22:00 EST
Wander, 

This bugzilla is about IPA to IPA migration, i.e., migrating data from one IPA server to different one. It is unrelated to ipa client renames. 

It is preferred to file a new upstream ticket for client renames https://fedorahosted.org/freeipa/newticket

Note You need to log in before you can comment on or make changes to this bug.